import path from "path"
import { getGlobalNmake } from "./GlobalNmake.js"
import { getNmakeDir } from "./NmakeDir.js"

export const getBuildDir = ():string=>{
    if(getGlobalNmake()["buildDir"]==undefined){
        getGlobalNmake()["buildDir"]=path.join(getNmakeDir(),"build")
    }
    return getGlobalNmake()["buildDir"]
}

export const setBuildDir = (path:string)=>{
    getGlobalNmake()["buildDir"]=path
}