import Project from "../Project/Project.js"
import { getGlobalNmake } from "./GlobalNmake.js"

export const getGlobalProjects = (): { [key: string]: Project } => {
    if (getGlobalNmake().projects == undefined) {
        getGlobalNmake().projects = []
    }
    return getGlobalNmake().projects as { [key: string]: Project }
}

export const getProjectsByTypeName = (name: string): Project[] => {
    const projects = getGlobalProjects()
    const newProjects: Project[] = []
    for (const i in projects) {
        if (projects[i].typeName == "cpp") {
            newProjects.push(projects[i])
        }
    }
    return newProjects
}
